/* 10pc */



.popup_agr {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  /* height: 100%; */
  /* background-color: #000000a8; */
  /* z-index: 10000; */
  align-items: center;
  justify-content: center;
  z-index: 12;
  /* background-color: #272727; */
  /* box-shadow: 0px 0px 20px #00000038; */
  background-color: var(--fb-background-color-gray);
  -webkit-backdrop-filter: saturate(180%) blur(20px);
  backdrop-filter: saturate(180%) blur(20px);
}

.popup_agr::before{
  content: ' ';
  width: 100%;
  position: absolute;
  top: -120px;
  height: 120px;
  background-color: red;
  pointer-events: none;
  background: linear-gradient(to top, rgb(0 0 0 / 32%) 0%, rgb(0 0 0 / 0%) 100%);
  z-index: 0;
}
.popup_agr.active {
  display: flex;
  /* height: 100%; */
  /* background-color: #000000a8; */
  /* align-items: flex-end; */
}
.popup_agr .pp {
  /* border-radius: 10px; */
  /* max-width: 620px; */
  padding: 2rem;
  /* box-shadow: 0px 0px 20px #00000038; */
  /* color: white; */
  /* position: absolute; */
  bottom: 0;
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: center;
  max-width: 1170px;
  margin: 0 auto;
}
.popup_agr .pp .inf{
  margin-left: 3rem;
  margin-right: 3rem;
  /* width: 100%; */
}
.popup_agr .pp .ic{
    width: 70px;
    flex-shrink: 0;
}
.popup_agr .pp .ic .icim{
    width: 100%;
}
.popup_agr .pp .close_btn {
  background-image: url(/src/tpl/images/more_close_on.png);
  background-repeat: no-repeat;
  background-size: 100%;
  height: 30px;
  width: 30px;
  cursor: pointer;
  filter: brightness(25);
  margin-left: 1rem;
  flex-shrink: 0;
}

[theme="light"] .popup_agr .pp .close_btn {
  filter: brightness(0.1);
}

.popup_agr .pp .title {
  font-size: 2rem;
  font-weight: bold;
  margin-bottom: 0.5rem;
  margin-right: auto;
}
 

.popup_agr .pp .frm {
  display: flex;
  flex-shrink: 0;
  align-items: center;
}

.popup_agr .pp .frm .inp {
  color: white!important;
  background-color: transparent;
  padding: 9px 0px;
  border-radius: 5px;
  max-width: 400px;
  border: 0;
  border-bottom: 1px #ffffff solid;
  width: 100%;
  margin-right: 2rem;
  border-radius: 0;
  font-size: 1.5rem;
}

.popup_agr .pp .frm .inp.wrong {
  border-bottom: 1px red solid!important;
  color: red!important;
  /* box-shadow: 0px 0px 10px red; */
}
.popup_agr .pp .frm .submit_btn {
  width: fit-content;
  text-align: center;
  cursor: pointer;
  border-radius: 0px 5px 5px 0px;
  font-size: 1.5rem;
  padding: 8px 3rem;
  /* border: 1px #ffffff solid; */
  border-radius: 21rem;
  /* flex-shrink: 0; */
  background-color: var(--fb-background-color-invert);
  color: var(--fb-text-color-invert);
  min-width: 270px;
  border-radius: 5px;
}
.popup_agr .pp .frm .submit_btn:hover {
  opacity:0.8;
}
.popup_agr .pp .msg_mb{
  display: none;
}
.popup_agr .pp .msg_mb,
.popup_agr .pp .msg {
  font-size: 1.2rem;
  color: var(--fb-text-color-gray);
}

@media only screen and (max-width: 900px) {
  .popup_agr .pp .frm {
  width: 340px;
  }
}

@media only screen and (max-width: 768px) {
  .popup_agr{
    /* background-color: #272727; */
    /* box-shadow: 0px 0px 20px #00000038; */
    /* height: 100%; */
    /* background-color: #000000a8; */
    align-items: flex-end;
  }
  .popup_agr .pp{
    margin: 0 2rem;
    padding: 2rem;
    box-shadow: 0px 0px 20px #00000038;
    /* background-color: #242424; */
    flex-direction: column;
    width: 100%;
    margin: 0;
    position: relative;
    border-top: 1px #ffffff2b solid;
  }
  .popup_agr .pp .title{
    /* font-size: 3.5rem; */
    /* line-height: 4.2rem; */
    /* font-size: 2.3rem; */
    /* line-height: 2.7rem; */
    /* margin-bottom: 0; */
    text-align: left;
    /* width: 81%; */
  }
  .popup_agr .pp .frm{margin-top: 1rem;width: 100%;justify-content: center;/* gap: 1rem; */}
  .popup_agr .pp .frm .inp{
    /* margin-bottom: 1rem; */
  }
  .popup_agr .pp .frm .submit_btn{
    width: 100%;
    min-width: inherit;
  }
  .popup_agr .pp .frm .fb_btn{/* width: calc(100% - 150px); */}
  .popup_agr .pp .inf{
    margin-right:0;
    margin-left:0;
    /* text-align: center; */
    width: 100%;
  }
  .popup_agr .pp .close{
    position: absolute;
    right: 2.4rem;
    top: 2.4rem;
  }
  .popup_agr .pp .msg_mb{
    display: block;
    margin-top: 2rem;
    text-align: center;
  }
  .popup_agr .pp .msg{
    /* display: none; */
  }
}
